diff Resources/Builders/MinGW32-Python3.7/docker-internal.sh @ 33:ce5b6116e6cd

New builders for Windows: Supporting 32 / 64bit with Python 2.7 / 3.7 / 3.8
author Sebastien Jodogne <s.jodogne@gmail.com>
date Thu, 28 May 2020 18:05:18 +0200
parents
children fd58eb5749ed
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Resources/Builders/MinGW32-Python3.7/docker-internal.sh	Thu May 28 18:05:18 2020 +0200
@@ -0,0 +1,30 @@
+#!/bin/bash
+set -ex
+
+mkdir /tmp/source-writeable
+
+cp -r /source/CMakeLists.txt /tmp/source-writeable/
+cp -r /source/Sources /tmp/source-writeable/
+cp -r /source/Resources /tmp/source-writeable/
+
+mkdir /tmp/build
+cd /tmp/build
+
+wget http://orthanc.osimis.io/ThirdPartyDownloads/Python/python-3.7.7-win32.zip
+unzip python-3.7.7-win32.zip
+
+cmake /tmp/source-writeable/ \
+      -DCMAKE_BUILD_TYPE=$1 \
+      -DSTATIC_BUILD=ON \
+      -DPYTHON_VERSION=3.7 \
+      -DPYTHON_WINDOWS_ROOT=/tmp/build/python-3.7.7-win32/ \
+      -DCMAKE_TOOLCHAIN_FILE=/source/Resources/Orthanc/Resources/MinGW-W64-Toolchain32.cmake \
+      -DCMAKE_INSTALL_PREFIX=/target 
+
+make -j`nproc`
+
+if [ "$1" == "Release" ]; then
+    i686-w64-mingw32-strip ./libOrthancPython.dll
+fi
+
+make install